<%@include file="/shell/default.jspf"%>

<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas"%>
<%@ taglib prefix="sas-ui" uri="http://www.sas.com/taglib/sas-ui"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page import="com.sas.solutions.casemgmt.domain.Party"%>
<%@ page import="com.sas.solutions.casemgmt.cpb.web.form.EntityRelationshipForm"%>

<sas-cm:setBundle var="appResources" />

<script type="text/javascript">
var uiContextId = "${EntityRelationshipForm.uiContextId}";
</script>

<title><fmt:message bundle="${appResources}" key="party.relationshipInfo.title.txt"/></title>

<form name="RelationshipForm" method="post" onsubmit="return false">

   <div id="mainContent">
      <fieldset>
      <legend><fmt:message bundle="${appResources}" key="section.party.details.header.txt"/></legend>
      <table class="tableData">
         <tr>
            <td><fmt:message bundle="${appResources}" key="field.party.party_id.label.txt"/></td>
            <td>${partyToLink.id}</td>
         </tr>
         <tr>
            <td><fmt:message bundle="${appResources}" key="field.party.party_full_nm.label.txt"/></td>
            <td>${partyToLink.fullName}</td>
         </tr>
            <tr>
            <td><fmt:message bundle="${appResources}" key="field.party.party_type_cd.label.txt"/></td>
            <td><c:out value="${partyType}"/></td>
         </tr>
            <tr>
            <td><fmt:message bundle="${appResources}" key="field.party.party_category_cd.label.txt"/></td>
            <td><c:out value="${partyCategory}"/></td>
         </tr>
         <tr>
            <td><fmt:message bundle="${appResources}" key="field.party.party_subcategory_cd.label.txt"/></td>
            <td><c:out value="${partySubcategory}"/></td>
         </tr>
         <tr>
            <td><fmt:message bundle="${appResources}" key="section.party.relationship.to.party.desc.header.txt"/>:</td>
            <td><input type="text" size="80" maxlength="100" id="descArea" name="descArea"/></td>
         </tr>
      </table>
      </fieldset>
   </div>
   
</form>
