<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@include file="/shell/default.jspf"%>
<%@ taglib uri="http://www.sas.com/cpb/tag" prefix="cpb"%>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.sas.solutions.casemgmt.web.efiling.*"%>
<%@page import="com.sas.solutions.casemgmt.web.util.Referrer"%>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
EFilingActionModel model = EFilingActionModel.getFromRequest(request);
%>
<script type="text/javascript">
EFile.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
EFile.OBJECT_TYPE = "<%=model.getObjectTypeId()%>";
EFile.KEY = "<%=StringUtil.escapeJSForHTML(model.getEntityKey())%>";
EFile.ID = "<%=model.getEntity().getId()%>";
EFile.EDITABLE = <%=model.isPageEditable()%>;
EFile.UI_CONTEXT_ID = "<%=StringUtil.escapeJSForHTML(model.getForm().getUiContextId())%>";
EFile.REFERRER = "<%= Referrer.EFILE%>";
EFile.TITLE = "<%=CPBUtil.getPageTitle(request)%>";
EFile.FORM_CONFIG_RK = "<%=model.getFormConfigRk()%>";

<%
if (model.isPageEditable() && (!model.getEntity().isSaved() || model.hasErrorMessages())) 
{
%>
SaveChangesConfirmation.setPageDirty(true);
<%
}
%>
<%
if (WebUtil.hasPageErrors(request))
{
%>
App.HAS_ERRORS = true;
<%
}
%>

Event.observe(window, "ready", EFileReportsGrid.handleOnLoad);
</script>

<% model.writeToolBar(pageContext); %>
<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>

<div id="mainContent">
   <html:form action="/EFiling" onsubmit="return EFiling.handleDefaultSubmit(this)">
      <html:hidden property="key" />
      <html:hidden property="uiContextId" />
      <html:hidden property="viewMode" />
      <html:hidden property="windowLayout" />
      <html:hidden property="command" />
      <html:hidden property="referrer" />
      <% model.writeScreen(pageContext, out); %>
      <% model.writeHiddenSubmitButton(out); %>
   </html:form>
</div>

<%@ include file="/components/util/SaveChangesConfirmationDialog.jsp" %>