<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="/shell/default.jspf"%>
<%@ taglib uri="http://www.sas.com/cpb/tag" prefix="cpb"%>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c"      uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.sas.solutions.casemgmt.web.party.*"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
PartyActionModel model = PartyActionModel.getFromRequest(request);
%>
<script type="text/javascript">
Party.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
Party.OBJECT_TYPE = "<%=model.getObjectTypeId()%>";
</script>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
<html:form action="/Party">
<div id="mainContent">
   <html:hidden property="key" />
   <html:hidden property="uiContextId" />
   <html:hidden property="parentUIContextID" />
   <html:hidden property="screenId" />
   <html:hidden property="viewMode" />
   <html:hidden property="windowLayout" />
   <html:hidden property="forCaseKey" />
   <html:hidden property="forIncidentKey" />
   <html:hidden property="forPartyKey" />
   <html:hidden property="relationshipTypes" />
   <html:hidden property="relationshipDescriptions" />
   <html:hidden property="isParentInRelationship" />
   <html:hidden property="relDetailsRequired" />
   <html:hidden property="gridName" />
   <html:hidden property="referrer" />
   <% model.writeScreen(pageContext, out); %>
</div>
<div id="popupButtonBarContainer"><div id="popupButtonBar">
   <% model.writeNewPartyDialogButtons(out); %>
</div></div>

<script type='text/javascript'>
   require(['dijit/registry', 'dojo/ready'],
      function(registry, ready) {
         ready(function() {
            
            // OK button is only enabled when a type is selected
            var okButton = registry.byId('<%=PartyActionModel.OK_BUTTON_ID%>');
            var typeDropdown = registry.byId('PARTY.PARTY_TYPE_CD');
            okButton.set('disabled', typeDropdown.value==='');
            typeDropdown.on('change', function(newValue) {
               var okButton = registry.byId('<%=PartyActionModel.OK_BUTTON_ID%>');
               okButton.set('disabled', newValue==='');
            });
            
            // When this modal is created from a entity-party relationship grid, allow it to pre-populate selects
            if (<%=Boolean.parseBoolean(request.getParameter("disableSelectsWithValues"))%>) {
               if (typeDropdown.get('value').length>0) {
                  typeDropdown.set('disabled', true);
                  var catDropdown = registry.byId('PARTY.PARTY_CATEGORY_CD');
                  if (catDropdown && catDropdown.get('value').length>0) {
                     catDropdown.set('disabled', true);
                     var subcatDropdown = registry.byId('PARTY.PARTY_SUBCATEGORY_CD');
                     if (subcatDropdown && subcatDropdown.get('value').length>0) {
                        subcatDropdown.set('disabled', true);
                     }
                  }
               }
            }
            
         });
   });
</script>

</html:form>