<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="/shell/default.jspf"%>
<%@ taglib uri="http://www.sas.com/cpb/tag" prefix="cpb"%>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c"   uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.sas.solutions.casemgmt.web.reports.*"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
ReportsActionModel model = ReportsActionModel.getFromRequest(request);
%>
<script type="text/javascript">
Reports.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
Reports.OBJECT_TYPE = "<%=model.getObjectTypeId()%>";
WorkflowCommon.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";

</script>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
<html:form action="/Report">
<div id="mainContent">
   <html:hidden property="key" />
   <html:hidden property="uiContextId" />
   <html:hidden property="screenId" />
   <html:hidden property="viewMode" />
   <html:hidden property="windowLayout" />
   <html:hidden property="referrer" />
   <% model.writeScreen(pageContext, out); %>
</div>
<div id="popupButtonBarContainer"><div id="popupButtonBar">
   <% model.writeNewReportDialogButtons(out); %>
</div></div>

<script type='text/javascript'>
   require(['dojo/ready', 'dijit/registry', 'dojo/on'],
      function(ready, registry, on) {
         ready(function() {
            var okButton = registry.byId('<%=ReportsActionModel.OK_BUTTON_ID%>');
            var typeDropdown = registry.byId('RR.RR_TYPE_CD');
            okButton.set('disabled', typeDropdown.value==='');
            on(typeDropdown, 'change', function(newValue) {
               var okButton = registry.byId('<%=ReportsActionModel.OK_BUTTON_ID%>');
               okButton.set('disabled', newValue==='');
            });
         });
   });
</script>

</html:form>