<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.solutions.casemgmt.i18n.AppProperties"%>
<%@page import="com.sas.solutions.casemgmt.domain.Case"%>
<%@page import="com.sas.solutions.casemgmt.web.search.SearchModel"%>
<%@page import="com.sas.solutions.casemgmt.web.search.SearchForm"%>
<%@page import="com.sas.solutions.casemgmt.web.util.Referrer"%>
<%@page import="com.sas.solutions.casemgmt.service.ServiceLocator"%>
<%@include file="/shell/default.jspf"%>

<%@ taglib prefix="sas"    uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="fmt"    uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c"      uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="sas-cm" uri="http://www.sas.com/casemgmt/tag" %>

<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>

   <sas-cm:include properties="<%=
      new String[] {
         \"search.title.txt\"
      }
      %>" />

<% final String pattern = ServiceLocator.getPreferenceResolver().getTimeDateFormat().getPattern(request.getLocale()); %>
<style>
   #bodyArea {
      padding: 0px !important;
      background-color: rgb(255, 255, 255);
   }
   
   .dgrid .dgrid-scroller {
       position: absolute !important;
       overflow: auto !important;
   }
</style>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>

<script type="text/javascript">
Event.observe(window, "ready", function() {
   require(['sas-ecm/shared/Breadcrumb'], function(Breadcrumb) {
      Breadcrumb.add('NONE');
   });
});
require(['sas-cpb/cpb'], function(cpb) {
   cpb.overrideBannerText('<c:out value="<%=CPBUtil.getApplicationTitle(request)%>"/>', AppProperties["search.title.txt"]);
});
dojo.require('dijit.TitlePane');

require([
         'search/SearchView/SearchView',
         'search/SearchView/SearchConfig',
         'sas-cpb/messages/Messages',
         'dojo/dom-construct',
         'dojo/query',
         'dojo/date/locale',
         'dijit/registry',
         'dojo/on',
         'dojo/ready'
], 
function(SearchView, SearchConfig, Messages, dom, query, locale, registry, on, ready) {
   ready(function() {
      var body = query('#mainContent')[0];
      var searchBox = registry.byId('searchbox');
      if(!searchBox) {
         Messages.showError('<%=AppProperties.getProperty("search.unavailable.error.txt", true)%>');
         return;
      }
      var q = BrowserUtil.getRequestParameter('q');
      searchBox.setText(decodeURIComponent(q));
      var searchView = new SearchView({
         config: new SearchConfig({
            onSearchTileClicked: function(item, link) {
               var redirect = link.url.replace(/\{([\w.]+)\}/g, function(match, index) {
                  return item[index];
               });
               
               if(link.open_new_window && 'true' === link.open_new_window.toLowerCase()) {
                  window.open(redirect);
               } else {
                  ecmApi.redirect(redirect);
               }
            },
            
            searchUrl: 'api/search/query.json',
   
            typeFormatters: {
               "date": function(value) {
                  // Requires the date to be passed in as ISO8601
                  var date = dojo.date.stamp.fromISOString(value);
                  return locale.format(date, {
                     selector: "date",
                     datePattern: "<%=pattern%>"
                   });
               }
            }
         })
      });
      
      searchView.startup();
      
      dom.place(searchView.domNode, body, 'replace');
      searchView.resize(); 
      var q = BrowserUtil.getRequestParameter('q');
      if(q !== undefined)
         searchView.search(q, 0 /* Start at */, 20 /* Initial page size */);
      
      on(window, "resize", function() {
         // searchView.resize(); IE Bug here   
      });  
   });
});
</script>

<div id="mainContent">
</div>
