<%@include file="/shell/default.jspf"%>
<%@taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@taglib prefix="sas-ui" uri="http://www.sas.com/taglib/sas-ui" %>
<%@taglib uri='http://struts.apache.org/tags-bean' prefix='bean' %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.sas.solutions.casemgmt.web.cases.*"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
CaseActionModel model = CaseActionModel.getFromRequest(request);
%>
<script type="text/javascript">
Case.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
Case.KEY = "<%=model.getEntityKey()%>";
</script>


<sas-cm:setBundle var="appResources" />

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>

<html:form method="post" action="/Case" enctype="multipart/form-data">
<div id="mainContent">
   <input type="hidden" name="key" value="${key}" />
   
   <div class="toppadding leftpadding rightpadding bottompadding">
      <table cellpadding="5" cellspacing="2">
      <tr>
         <td><fmt:message bundle="${appResources}" key="field.case.case_id.label.txt"/></td>
         <td><c:out value="${id}"/></td>
      </tr>
      <tr>
         <td><fmt:message bundle="${appResources}" key="field.case.case_desc.label.txt"/></td>
         <td><c:out value="${descr}"/></td>
      </tr>
      <tr>
         <td><fmt:message bundle="${appResources}" key="field.case.current.owner.label.txt"/></td>
         <td><c:out value="${currentUser}"/></td>
      </tr>
      <tr>
         <td><fmt:message bundle="${appResources}" key="field.case.new.owner.label.txt"/></td>
         <td><sas:ChoiceBox id="userId" name="userId" model="userItems"/></td>
      </tr>
      </table>
   </div>
</div>
<div id="popupButtonBarContainer"><div id="popupButtonBar">
      <% model.writeReassignCaseButtonBar(out); %>
</div></div>      
</html:form>