<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="/shell/default.jspf"%>
<%@ taglib uri="http://www.sas.com/cpb/tag" prefix="cpb"%>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.sas.solutions.casemgmt.web.reports.*"%>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil"%>
<%@page import="com.sas.solutions.casemgmt.web.util.Referrer"%>
<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
ReportsActionModel model = ReportsActionModel.getFromRequest(request);
%>
<script type="text/javascript">
Reports.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
Reports.OBJECT_TYPE = "<%=model.getObjectTypeId()%>";
Reports.KEY = "<%=model.getEntityKey()%>";
Reports.ID = "<%=StringUtil.escapeJSForHTML(model.getEntity().getId())%>";
Reports.EDITABLE = <%=model.isPageEditable()%>;
Reports.UI_CONTEXT_ID = "<%=StringUtil.escapeJSForHTML(model.getForm().getUiContextId())%>";
Reports.REFERRER = "<%= Referrer.RR%>";
Reports.TITLE = "<%=CPBUtil.getPageTitle(request)%>";
Reports.FORM_CONFIG_RK = "<%=model.getFormConfigRk()%>";

PreviewReport.STORED_PROCESS_PARAMETERS = {'rr_rk': Reports.KEY,'form_config_rk': Reports.FORM_CONFIG_RK};
WorkflowCommon.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";

<%
if (model.isPageEditable() && (!model.getEntity().isSaved() || model.hasErrorMessages())) 
{
%>
SaveChangesConfirmation.setPageDirty(true);
<%
}
%>
<%
if (WebUtil.hasPageErrors(request))
{
%>
App.HAS_ERRORS = true;
<%
}
%>

Event.observe(window, "ready", Reports.handleOnLoad);
</script>

<% model.writeToolBar(pageContext); %>
<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>

<div id="mainContent">
   <html:form action="/Report" onsubmit="return Reports.handleDefaultSubmit(this)">
      <html:hidden property="key" />
      <html:hidden property="uiContextId" />
      <html:hidden property="viewMode" />
      <html:hidden property="windowLayout" />
      <html:hidden property="command" />
      <html:hidden property="referrer" />
      <html:hidden property="efileKey" />
      <% model.writeScreen(pageContext, out); %>
      <% model.writeHiddenSubmitButton(out); %>
   </html:form>
</div>

<%@ include file="/components/util/SaveChangesConfirmationDialog.jsp" %>
<%@ include file="/components/util/ConfirmReportCorrectionDialog.jsp" %>
